HsOpenSSL-0.11.7.9: Partial OpenSSL binding for Haskell

Safe Haskell | None
Language | Haskell2010

OpenSSL.EVP.Open

Description

Asymmetric cipher decryption using encrypted symmetric key. This is an opposite of OpenSSL.EVP.Seal.

Synopsis

- open :: KeyPair key => Cipher -> String -> String -> key -> String -> String
- openBS :: KeyPair key => Cipher -> ByteString -> ByteString -> key -> ByteString -> ByteString
- openLBS :: KeyPair key => Cipher -> ByteString -> ByteString -> key -> ByteString -> ByteString

# Documentation

open Source #

Arguments

:: KeyPair key |
=> Cipher | symmetric cipher algorithm to use
-> String | encrypted symmetric key to decrypt the input string
-> String | IV
-> key | private key to decrypt the symmetric key
-> String | input string to decrypt
-> String | decrypted string

Deprecated: Use openBS or openLBS instead.

``open`` lazilly decrypts a stream of data. The input string doesn't necessarily have to be finite.

openBS Source #

Arguments

:: KeyPair key |
=> Cipher | symmetric cipher algorithm to use
-> ByteString | encrypted symmetric key to decrypt the input string
-> ByteString | IV
-> key | private key to decrypt the symmetric key
-> ByteString | input string to decrypt
-> ByteString | decrypted string

``openBS`` decrypts a chunk of data.

openLBS Source #

Arguments

:: KeyPair key |
=> Cipher | symmetric cipher algorithm to use
-> ByteString | encrypted symmetric key to decrypt the input string
-> ByteString | IV
-> key | private key to decrypt the symmetric key
-> ByteString | input string to decrypt
-> ByteString | decrypted string

``openLBS`` lazilly decrypts a stream of data. The input string doesn't necessarily have to be finite.